Bug 160838 - [acpi] ACPI Battery Monitor Non-Functional
Summary: [acpi] ACPI Battery Monitor Non-Functional
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 05:10 UTC by Eric McCorkle
Modified: 2017-12-31 22:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric McCorkle 2011-09-20 05:10:10 UTC
Recently updated sources, which caused acpiconf -i0 to stop reporting information about the battery properly.  Instead, it reports "not present", and 0 for all values, except charge (which reports as -1).

I have already identified the root cause for the problem.

Fix: 

Setting debug.acpi.max_tasks to a high value (I used 128) is a stable workaround, and will restore functionality.
How-To-Repeat: The problem should occur on any system with a battery using the cmbat interface, which dispatches a large number of calls via AcpiOsExecute during initialization.  This fills up the task queue, which results in the call to acpi_cmbat_init_battery getting dropped due to the queue being full, which results in the bif information not being properly initialized.  Because the cmbat driver only reads this information at initalization, the driver will incorrectly report the battery as not being present.

Similar issues with other ACPI features may have a similar root cause.
Comment 1 Mark Linimon freebsd_committer 2011-10-10 05:38:02 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-acpi

Over to maintainer(s).
Comment 2 Hiren Panchasara 2013-04-08 19:35:29 UTC
As far as I can tell, this issue should be fixed after
http://svnweb.freebsd.org/base/head/sys/dev/acpica/acpivar.h?revision=242922&view=markupwhich
increased the MAX_TASKS value.

If so, we can close this one.

Thanks,
Hiren
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:32 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped